Show / Hide Table of Contents

# Struct JobGaugeManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct JobGaugeManager

### Fields

| Improve this Doc View Source

#### Astrologian

##### Declaration

    public AstrologianGauge Astrologian

##### Field Value

Type | Description
--- | ---
AstrologianGauge |

| Improve this Doc View Source

#### Bard

##### Declaration

    public BardGauge Bard

##### Field Value

Type | Description
--- | ---
BardGauge |

| Improve this Doc View Source

#### BlackMage

##### Declaration

    public BlackMageGauge BlackMage

##### Field Value

Type | Description
--- | ---
BlackMageGauge |

| Improve this Doc View Source

#### ClassJobID

##### Declaration

    public byte ClassJobID

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### CurrentGauge

##### Declaration

    public JobGauge*CurrentGauge

##### Field Value

Type | Description
--- | ---
JobGauge* |

| Improve this Doc View Source

#### Dancer

##### Declaration

    public DancerGauge Dancer

##### Field Value

Type | Description
--- | ---
DancerGauge |

| Improve this Doc View Source

#### DarkKnight

##### Declaration

    public DarkKnightGauge DarkKnight

##### Field Value

Type | Description
--- | ---
DarkKnightGauge |

| Improve this Doc View Source

#### Dragoon

##### Declaration

    public DragoonGauge Dragoon

##### Field Value

Type | Description
--- | ---
DragoonGauge |

| Improve this Doc View Source

#### EmptyGauge

##### Declaration

    public JobGauge EmptyGauge

##### Field Value

Type | Description
--- | ---
JobGauge |

| Improve this Doc View Source

#### Gunbreaker

##### Declaration

    public GunbreakerGauge Gunbreaker

##### Field Value

Type | Description
--- | ---
GunbreakerGauge |

| Improve this Doc View Source

#### Machinist

##### Declaration

    public MachinistGauge Machinist

##### Field Value

Type | Description
--- | ---
MachinistGauge |

| Improve this Doc View Source

#### Monk

##### Declaration

    public MonkGauge Monk

##### Field Value

Type | Description
--- | ---
MonkGauge |

| Improve this Doc View Source

#### Ninja

##### Declaration

    public NinjaGauge Ninja

##### Field Value

Type | Description
--- | ---
NinjaGauge |

| Improve this Doc View Source

#### Paladin

##### Declaration

    public PaladinGauge Paladin

##### Field Value

Type | Description
--- | ---
PaladinGauge |

| Improve this Doc View Source

#### Reaper

##### Declaration

    public ReaperGauge Reaper

##### Field Value

Type | Description
--- | ---
ReaperGauge |

| Improve this Doc View Source

#### RedMage

##### Declaration

    public RedMageGauge RedMage

##### Field Value

Type | Description
--- | ---
RedMageGauge |

| Improve this Doc View Source

#### Sage

##### Declaration

    public SageGauge Sage

##### Field Value

Type | Description
--- | ---
SageGauge |

| Improve this Doc View Source

#### Samurai

##### Declaration

    public SamuraiGauge Samurai

##### Field Value

Type | Description
--- | ---
SamuraiGauge |

| Improve this Doc View Source

#### Scholar

##### Declaration

    public ScholarGauge Scholar

##### Field Value

Type | Description
--- | ---
ScholarGauge |

| Improve this Doc View Source

#### Summoner

##### Declaration

    public SummonerGauge Summoner

##### Field Value

Type | Description
--- | ---
SummonerGauge |

| Improve this Doc View Source

#### Warrior

##### Declaration

    public WarriorGauge Warrior

##### Field Value

Type | Description
--- | ---
WarriorGauge |

| Improve this Doc View Source

#### WhiteMage

##### Declaration

    public WhiteMageGauge WhiteMage

##### Field Value

Type | Description
--- | ---
WhiteMageGauge |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static JobGaugeManager*Instance()

##### Returns

Type | Description
--- | ---
JobGaugeManager* |